Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455098 - LTC:4.8:201716:Java 5 SR7 for RHEL 4.8
Summary: LTC:4.8:201716:Java 5 SR7 for RHEL 4.8
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: releng
Version: 4.8
Hardware: All
OS: All
high
high
Target Milestone: rc
: 4.8
Assignee: Nick Petrov
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 458123 479851
TreeView+ depends on / blocked
 
Reported: 2008-07-11 22:20 UTC by IBM Bug Proxy
Modified: 2009-06-20 04:53 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-28 11:28:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 46347 None None None Never

Description IBM Bug Proxy 2008-07-11 22:20:22 UTC
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-07-11 16:42 EDT
1. Feature Id:	[201716]
Feature Name:	Java 5 SR7 for RHEL 4.8
Sponsor:	SWG - Java
Category:	SWG
Request Type:	Package - Feature from IBM

2. Short Description
Java 1.5 SR7 for RHEL 4.8

3. Business Case
Need to update the Java version in order to have the latest fixes in the RHEL 4 stream


4. Sponsor Priority	1
IBM Confidential:	no
Code Contribution:	IBM code
Upstream Acceptance:	Accepted
Component Version Target:	Java 1.5 SR7
Performance Assistance:	

5. PM Contact:	Stephanie Glass, sglass@us.ibm.com, 512-838-9284

6. Technical contact(s):

David J Edwards, david_edwards@uk.ibm.com

Comment 1 John Jarvis 2008-07-14 13:39:33 UTC
IBM, what is the projected delivery date for this code?

Comment 2 IBM Bug Proxy 2008-07-18 17:10:33 UTC
------- Comment From sglass@us.ibm.com 2008-07-18 13:08 EDT-------
This version should be available by the end of next week or beginning of the
next.

Comment 3 Lillian Angel 2008-07-18 17:26:10 UTC
David says SR8 will be out next week. Should we wait for this?

Comment 4 Lillian Angel 2008-07-18 17:26:28 UTC
SR7 is available now.

Comment 6 IBM Bug Proxy 2008-07-18 17:50:41 UTC
------- Comment From sglass@us.ibm.com 2008-07-18 13:46 EDT-------
Lillian, if you can wait until next week, it would be better to go with SR8.

Comment 8 IBM Bug Proxy 2008-08-05 14:42:38 UTC
Moving to Accepted state as this is in RH cvs tree

Comment 18 IBM Bug Proxy 2009-03-13 13:22:36 UTC
An update from system-x distro team:

Java5 SR9 (32-bit) shipped with RHEL4.8-Alpha has been successfully tested using JGrinder test suite.
We will be testing 64-bit Java5 SR9 on a RHEL4.8-Beta kernel & update the results soon.

Thanks!

Comment 19 IBM Bug Proxy 2009-03-16 19:12:08 UTC
Update from LoP test team:

Java5 (build pxp32dev-20081129 (SR9-0 )) shipped with RHEL4.8-Beta has passed tests using jltf test suite and specjbb.

Thanks,

Comment 20 IBM Bug Proxy 2009-03-16 19:40:32 UTC
Just FYI:

- Tests from Lucio's comment were run in a JS12 machine.
- RHEL4.8-Beta only delivers 32-bit JVMs for ppc.

Comment 21 John Jarvis 2009-03-16 21:44:48 UTC
64-bit Java packages for Power are missing, flipping to FAILS_QA to get this fixed.

Comment 22 Nick Petrov 2009-03-17 13:15:35 UTC
ppc64 are now on RHN beta channel

Comment 23 John Jarvis 2009-03-17 13:47:37 UTC
These should also go onto the ISOs in addition to being on RHN.

Comment 24 John Jarvis 2009-03-17 16:53:00 UTC
The PPC64 version will be RHN only. The LACD cannot be multilib -- the installer
will not support it.

Comment 25 IBM Bug Proxy 2009-03-24 17:30:26 UTC
------- Comment From iranna.ankad@in.ibm.com 2009-03-24 13:25 EDT-------
(In reply to comment #10)
> An update from system-x distro team:
>
> Java5 SR9 (32-bit) shipped with RHEL4.8-Alpha has been successfully tested
> using JGrinder test suite.
> We will be testing 64-bit Java5 SR9 on a RHEL4.8-Beta kernel & update the
> results soon.
>
> Thanks!
>

Successfully tested 64-bit version of Java5 SR9 using JGrinder test suite on RHEL4.8-beta kernel. No issues on System-x platform.

Thanks!

Comment 26 Ludek Smid 2009-05-28 11:28:41 UTC
See comment #25


Note You need to log in before you can comment on or make changes to this bug.